:root {
    --font-primary: "Poppins", sans-serif;
}

html {
    scroll-behavior: smooth;
}

body {
    color: black;
    font-family: var(--font-primary);
    margin: 0;
}

header {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 20px 50px;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    background: transparent;
    height: 80px;
    z-index: 1000;
}
main .content{
    background: url("Birds.jpg");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    background-attachment: fixed;
    overflow: hidden;
    border-radius: 10px;
}

.logo {
    position: absolute;
    left: 50px;
}

.logo h2 {
    color: black;
    margin: 0;
    font-weight: 600 !important;
}

.dot {
    color: orange;
}

.nav-links {
    display: flex;
    gap: 30px;
    list-style: none;
    margin: 0;
}

.nav-links a {
    text-decoration: none;
    color: #333;
    font-size: 20px;
    font-weight: 200;
    transition: 0.3s;
    position: relative;
    display: inline-block;
}

.nav-links a:hover::after {
    content: ".";
    position: absolute;
    color: orange;
    bottom: -5px;
    left: 50%;
    font-size: 35px;
    line-height: 0;
}

header a:hover {
    font-weight: 500;
}

main div.content {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 170vh;
    width: 100%;
    text-align: center;
}

main div.content h2 {
    font-size: clamp(30px, 8vw, 60px);         /*clamp(MIN, PREFERRED, MAX)*/
    letter-spacing: 5px;
    margin: 0;
}

main div.content h2 span.space, 
main div.content h2 span.dot {
    font-weight: 600;
}

main a.circle {
    width: 60px;
    height: 60px;
    border-radius: 50%;
    background-color: black;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 30px;
    transition: transform 0.3s ease;
    text-decoration: none;
}

main a.circle:hover {
    transform: scale(1.1);
}

main a.circle svg {
    width: 40px;
    height: 40px;
    transform: rotate(90deg);
}
main a.navto {
    width: 60px !important;
    height: 60px !important;
    border-radius: 50%;
    background-color: black;
    margin-top: 30px;
    transition: transform 0.3s ease;
    text-decoration: none;
    display: inline-flex;
}

main a.navto:hover {
    transform: scale(1.1);
}

main a.navto svg {
    width: 55px;
    height: 55px;
    padding: 2px 0;
}
.full-section {
    min-height: 100vh;   
    width: 100%;
    display: flex;           
    flex-direction: column; 
    align-items: center;    
    justify-content: center;  
    text-align: center;
    scroll-snap-align: start;
}
.section-container {
    width: 90%;
    max-width: 800px;
    margin: 0 auto;
    display: block;
}

#about-page p, #about-dashboard p, #about-exam p {
    font-size: 1.2rem;
    line-height: 1.8;
    font-weight: 300;
    margin: 0;
    text-align: center; 
}
/* #about-dashboard{
    background-color: #c4c4c4;
}
#about-exam{
    background-color: #9d9d9d;
} */                             /* here i just wanted to ensure that each section has full height and width */